## memkind 1.1.0

=== test/allocator_perf_tool/Makefile ===
#
#  Copyright (C) 2015 - 2016 Intel Corporation.
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions are met:
#  1. Redistributions of source code must retain the above copyright notice(s),
#     this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright notice(s),
#     this list of conditions and the following disclaimer in the documentation
#     and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER(S) ``AS IS'' AND ANY EXPRESS
#  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
#  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
#  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
#  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

perf_tool: main.cpp ScenarioWorkload.cpp FootprintTask.cpp FunctionCallsPerformanceTask.cpp FootprintSampling.cpp StressIncreaseToMax.cpp Allocation_info.cpp
	g++ -o perf_tool $^ -O0 -lmemkind -std=c++11 -lpthread -lnuma -g

=== debian/changelog ===
memkind (1.1.0-0ubuntu1) yakkety; urgency=medium

  * Initial release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Jul 2016 18:27:07 -0700

=== debian/control ===
Source: memkind
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgtest-dev,
               libjemalloc-dev,
               libnuma-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/memkind/memkind

Package: libmemkind0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: user-extensible heap manager for heterogeneous memory platforms
 Memkind is a user-extensible heap manager for heterogeneous memory platforms
 and mixed memory policies.

Package: libmemkind-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmemkind0 (= ${binary:Version})
Description: user-extensible heap manager for heterogeneous memory platforms
 Memkind is a user-extensible heap manager for heterogeneous memory platforms
 and mixed memory policies.
 .
 This package contains the development files for libmemkind and related
 libraries.

Package: libmemkind-progs
Architecture: any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: user-extensible heap manager for heterogeneous memory platforms
 Memkind is a user-extensible heap manager for heterogeneous memory platforms
 and mixed memory policies.
 .
 This package contains support programs that use libmemkind0.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

upstream_ver = $(shell dpkg-parsechangelog | sed -n -e's/Version: \(.*\)-[^-]*/\1/p')
%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	echo $(upstream_ver) > VERSION
	dh_autoreconf -- ./autogen.sh

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	# These are examples, we don't want to ship them.
	rm -f debian/tmp/usr/lib/*/libautohbw*
	rm -f debian/tmp/usr/lib/*/libnumakind*
	# docs get installed otherwise
	rm -f debian/tmp/usr/share/doc/memkind/*
	dh_install --fail-missing

# tests require a numa-enabled host, so we can't run these at build-time.
override_dh_auto_test:

## memkind 1.5.0

=== debian/changelog ===
memkind (1.5.0-0ubuntu1) artful; urgency=medium

  * New upstream release.  LP: #1637546.
    - Drop debian/patches/library-linkage, since the related example has been
      removed upstream.
    - Drop debian/patches/omit-stream-example, also removed upstream.
    - debian/patches/missing-declarations: Add missing headers for
      function declaration.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 24 Apr 2017 12:25:46 -0700

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	rm -f debian/tmp/usr/lib/*/*.la
 	# These are examples, we don't want to ship them.
 	rm -f debian/tmp/usr/lib/*/libautohbw*
-	rm -f debian/tmp/usr/lib/*/libnumakind*
 	# docs get installed otherwise
 	rm -f debian/tmp/usr/share/doc/memkind/*
 	dh_install --fail-missing

## memkind 1.7.0

=== debian/changelog ===
memkind (1.7.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Add versioned build-dependency on libjemalloc-dev (>= 5).
  * Refresh patch for upstream build system changes.
  * Refresh copyright.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Apr 2018 20:07:56 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libgtest-dev,
-               libjemalloc-dev,
+               libjemalloc-dev (>= 5),
                libnuma-dev,
 Standards-Version: 3.9.8
 Homepage: https://github.com/memkind/memkind

## memkind 1.8.0

=== debian/changelog ===
memkind (1.8.0-4) unstable; urgency=medium

  * --disable-secure to increase hardening.
  * Drop archs with no NUMA: mips64el s390x alpha sparc64.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 26 Feb 2019 17:20:57 +0100

memkind (1.8.0-3) unstable; urgency=medium

  * Add autopkgtests (upstream's examples but not tests).
  * Fix C++ configure flag detection (FTBFS on most archs).
  * Use a more portable (ok, to glibc...) way to id threads.
  * Drop 32-bit and non-Linux archs for now.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 07 Feb 2019 15:59:54 +0100

memkind (1.8.0-2) unstable; urgency=medium

  * Don't build with -msse4.2, it's not used anyway.  Closes: #919594.
  * Avoid cpuid where inappropriate.
  * Enable the testsuite (using a cherry-picked upstream patch to make it
    runnable without fancy hardware).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 01 Feb 2019 20:29:42 +0100

memkind (1.8.0-1) unstable; urgency=low

  * Initial release.  Closes: #915021.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 12 Dec 2018 13:58:07 +0100

=== debian/control ===
Source: memkind
Section: utils
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>= 11~), libnuma-dev
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/memkind/memkind
Vcs-Git: https://github.com/kilobyte/memkind.git -b debian
Vcs-Browser: https://github.com/kilobyte/memkind/tree/debian

Package: libmemkind0
Architecture: amd64 arm64 ppc64el ia64 ppc64 riscv64
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: user-extensible heap manager for heterogeneous memory platforms
 The memkind library is a user extensible heap manager built on top of
 jemalloc which enables control of memory characteristics and a partitioning
 of the heap between kinds of memory.  While arbitrary user control is
 possible, built-in characteristics include NUMA and page size.
 .
 This package contains the runtime library.

Package: libmemkind-dev
Architecture: amd64 arm64 ppc64el ia64 ppc64 riscv64
Section: libdevel
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libmemkind0 (= ${binary:Version})
Description: user-extensible heap manager for heterogeneous memory platforms
 The memkind library is a user extensible heap manager built on top of
 jemalloc which enables control of memory characteristics and a partitioning
 of the heap between kinds of memory.  While arbitrary user control is
 possible, built-in characteristics include NUMA and page size.
 .
 This package contains the development files for libmemkind and related
 libraries.

Package: libmemkind-progs
Architecture: amd64 arm64 ppc64el ia64 ppc64 riscv64
Section: admin
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: user-extensible heap manager for heterogeneous memory platforms
 The memkind library is a user extensible heap manager built on top of
 jemalloc which enables control of memory characteristics and a partitioning
 of the heap between kinds of memory.  While arbitrary user control is
 possible, built-in characteristics include NUMA and page size.
 .
 This package contains support programs that use libmemkind.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JE_PREFIX=jemk_

override_dh_auto_test:
	+$(MAKE) unit_tests

override_dh_autoreconf:
	dpkg-parsechangelog -SVersion|cut -d- -f1 >VERSION
	dh_update_autotools_config
	dh_autoreconf

override_dh_auto_configure:
	./build_jemalloc.sh
	dh_auto_configure -- --prefix=/usr --disable-secure \
	   --includedir=/usr/include --sbindir=/usr/sbin --enable-cxx11 \
	   --mandir=/usr/share/man --docdir=/usr/share/doc/memkind

override_dh_auto_build:
	dh_auto_build -- checkprogs

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/*/*.la
	rm -f debian/tmp/usr/lib/*/libautohbw*
	rm -rf debian/tmp/usr/share/doc/memkind
	dh_install
	dh_installman
	dh_missing --fail-missing

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/memkind-$1\.tar\.gz/" \
  https://github.com/memkind/memkind/tags .*/v?(\d\S*)\.tar\.gz

# GitHub hosted projects
#opts="filenamemangle="s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%memkind-$1.tar.gz%" \
#   https://github.com/memkind/memkind/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## memkind 1.9.0

=== debian/changelog ===
memkind (1.9.0-2) unstable; urgency=medium

  * Revert to dh level 11, to ease backports on Ubuntu.
  * Re-enable s390x but skip tests (it's a runtime kernel issue).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 16 Apr 2019 11:54:15 +0200

memkind (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop all patches -- merged upstream.
  * Use dh level 12.
  * Don't claim to support arm64 riscv64 in this version.
    (Note: s390x could be ok, but requires a newer kernel for tests.)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Apr 2019 18:15:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Vcs-Browser: https://github.com/kilobyte/memkind/tree/debian
 
 Package: libmemkind0
-Architecture: amd64 arm64 ppc64el ia64 ppc64 riscv64
+Architecture: amd64 ppc64el ia64 ppc64 s390x
 Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,7 +23,7 @@
  This package contains the runtime library.
 
 Package: libmemkind-dev
-Architecture: amd64 arm64 ppc64el ia64 ppc64 riscv64
+Architecture: amd64 ppc64el ia64 ppc64 s390x
 Section: libdevel
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmemkind0 (= ${binary:Version})
@@ -37,7 +37,7 @@
  libraries.
 
 Package: libmemkind-progs
-Architecture: amd64 arm64 ppc64el ia64 ppc64 riscv64
+Architecture: amd64 ppc64el ia64 ppc64 s390x
 Section: admin
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,11 @@
 export JE_PREFIX=jemk_
 
 override_dh_auto_test:
+ifeq "$(DEB_HOST_ARCH)" "s390x"
+	if dpkg-vendor --derives-from Ubuntu; then $(MAKE) unit_tests; fi
+else
 	+$(MAKE) unit_tests
+endif
 
 override_dh_autoreconf:
 	dpkg-parsechangelog -SVersion|cut -d- -f1 >VERSION

## memkind 1.10.0

=== debian/changelog ===
memkind (1.10.0-2) unstable; urgency=medium

  * Enable mips64el.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Dec 2019 19:52:52 +0100

memkind (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable arm64.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 19 Dec 2019 15:50:38 +0100

memkind (1.10~pre1-1) experimental; urgency=medium

  * New upstream git snapshot.
  * Temporarily enable all arches, to see what got fixed.
  * Update symbols; two deletions were experimental stuff.
  * Cope with upstream build system changes.
  * Disable an autopkgtest that requires a /dev/dax.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 18 Dec 2019 19:06:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 11~), libnuma-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 11~), libnuma-dev, libdaxctl-dev
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://github.com/memkind/memkind
 Vcs-Git: https://github.com/kilobyte/memkind.git -b debian
 Vcs-Browser: https://github.com/kilobyte/memkind/tree/debian
 
 Package: libmemkind0
-Architecture: amd64 ppc64el ia64 ppc64 s390x
+Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x
 Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,7 +23,7 @@
  This package contains the runtime library.
 
 Package: libmemkind-dev
-Architecture: amd64 ppc64el ia64 ppc64 s390x
+Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x
 Section: libdevel
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmemkind0 (= ${binary:Version})
@@ -37,7 +37,7 @@
  libraries.
 
 Package: libmemkind-progs
-Architecture: amd64 ppc64el ia64 ppc64 s390x
+Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x
 Section: admin
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,9 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	./build_jemalloc.sh
 	dh_auto_configure -- --prefix=/usr --disable-secure \
 	   --includedir=/usr/include --sbindir=/usr/sbin --enable-cxx11 \
 	   --mandir=/usr/share/man --docdir=/usr/share/doc/memkind
-
-override_dh_auto_build:
-	dh_auto_build -- checkprogs
 
 override_dh_auto_install:
 	dh_auto_install

## memkind 1.10.1

=== debian/changelog ===
memkind (1.10.1-2) unstable; urgency=medium

  * Disable GetArenaTest.test_TC_MEMKIND_ThreadHash.  The failure, while
    non-reproducible, is plausible, and the code is still correct (just not
    as performant as it should).  Closes: #976918.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 21 Dec 2020 15:51:57 +0100

memkind (1.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 16 Sep 2020 12:24:21 +0200

memkind (1.10.1~rc1-1) experimental; urgency=medium

  * A new upstream RC.
  * Temporarily enable all 64-bit archs.
  * Teach the watch file about -rc → ~rc

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 14 May 2020 22:56:02 +0200

memkind (1.10.0-4) unstable; urgency=medium

  * Chery-pick fixes for gcc-10.  Closes: #957528.
  * dh 12.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 19 Apr 2020 09:43:25 +0200

memkind (1.10.0-3) unstable; urgency=medium

  * Skip tests if no NUMA -- some s390x and mips64el official kernels are
    built without.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 23 Dec 2019 13:33:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: utils
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 11~), libnuma-dev, libdaxctl-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), libnuma-dev, libdaxctl-dev, numactl
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/memkind/memkind
 Vcs-Git: https://github.com/kilobyte/memkind.git -b debian
 Vcs-Browser: https://github.com/kilobyte/memkind/tree/debian
 
+# New archs must be verified to successfully test on at least one machine
+# _without_ NUMA disablement!
+
 Package: libmemkind0
-Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x
+Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x alpha riscv64 sparc64
 Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,7 +26,7 @@
  This package contains the runtime library.
 
 Package: libmemkind-dev
-Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x
+Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x alpha riscv64 sparc64
 Section: libdevel
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmemkind0 (= ${binary:Version})
@@ -37,7 +40,7 @@
  libraries.
 
 Package: libmemkind-progs
-Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x
+Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x alpha riscv64 sparc64
 Section: admin
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}

## memkind 1.11.0

=== debian/changelog ===
memkind (1.11.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add hwloc to B-Depends.
  * Unsuffix symbols.
  * Set Upstream-Contact to the current main maintainer.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 26 Feb 2021 11:52:07 +0100

memkind (1.11.0~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 03 Feb 2021 14:47:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 12), libnuma-dev, libdaxctl-dev, numactl
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), libnuma-dev, libdaxctl-dev, numactl, libhwloc-dev
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/memkind/memkind
 Vcs-Git: https://github.com/kilobyte/memkind.git -b debian

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,8 @@
 export JE_PREFIX=jemk_
 
 override_dh_auto_test:
-ifeq "$(DEB_HOST_ARCH)" "s390x"
-	if dpkg-vendor --derives-from Ubuntu; then $(MAKE) unit_tests; fi
-else
-	+$(MAKE) unit_tests
-endif
+	@if numactl -H >/dev/null; then $(MAKE) unit_tests; else \
+	    echo ===== No NUMA, not running tests! =====; fi
 
 override_dh_autoreconf:
 	dpkg-parsechangelog -SVersion|cut -d- -f1 >VERSION

## memkind 1.13.0

=== debian/changelog ===
memkind (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 23 Dec 2021 10:16:19 +0100

memkind (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * dh 13.
  * Drop a bunch of architectures:
    • s390x: no NUMA hardware (Ubuntu enables CONFIG_NUMA but only for
      faking it to work around issues in some programs), no pmem, no HBW.
    • ia64: no CONFIG_NUMA in Debian kernels, broken B-Deps
    • alpha: no NUMA or anything in any kernels
    • sparc64: no CONFIG_NUMA in Debian

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 01 Sep 2021 15:23:19 +0200

memkind (1.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC.
  * Update symbols.
  * Add memtier library.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 02 Jul 2021 19:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 12), libnuma-dev, libdaxctl-dev, numactl, libhwloc-dev
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), libnuma-dev, libdaxctl-dev, numactl, libhwloc-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/memkind/memkind
 Vcs-Git: https://github.com/kilobyte/memkind.git -b debian
@@ -13,7 +13,7 @@
 # _without_ NUMA disablement!
 
 Package: libmemkind0
-Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x alpha riscv64 sparc64
+Architecture: amd64 arm64 ppc64el mips64el ppc64 riscv64
 Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -26,7 +26,7 @@
  This package contains the runtime library.
 
 Package: libmemkind-dev
-Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x alpha riscv64 sparc64
+Architecture: amd64 arm64 ppc64el mips64el ppc64 riscv64
 Section: libdevel
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmemkind0 (= ${binary:Version})
@@ -40,7 +40,7 @@
  libraries.
 
 Package: libmemkind-progs
-Architecture: amd64 arm64 ppc64el mips64el ia64 ppc64 s390x alpha riscv64 sparc64
+Architecture: amd64 arm64 ppc64el mips64el ppc64 riscv64
 Section: admin
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/tests/control ===
Tests: compile run
Depends: g++, libmemkind-dev

=== debian/watch ===
version=4

opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/memkind-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/" \
  https://github.com/memkind/memkind/tags .*/v?(\d\S*)\.tar\.gz

## memkind 1.14.0

=== debian/changelog ===
memkind (1.14.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ zhangdandan <zhangdandan@loongson.cn> ]
  * add build support for loongarch64 (Closes: #1057255)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2024 08:50:45 +0200

memkind (1.14.0-3) unstable; urgency=medium

  * Fix FTBFS with gcc-13; closes: #1037773.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 14 Jun 2023 14:13:10 +0200

memkind (1.14.0-2) unstable; urgency=medium

  * Add -dev dependencies to symbol files.
  * Enable hardening.
  * Don't parse dpkg-parsechangelog by hand.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 04 Nov 2022 14:26:59 +0100

memkind (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 07 Jul 2022 10:43:32 +0200

memkind (1.14.0~rc1-1) experimental; urgency=medium

  * New upstream RC.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 22 Jun 2022 18:02:00 +0200

memkind (1.13.0-2) unstable; urgency=medium

  * Fix FTBFS with LTO.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 19 Jun 2022 10:16:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (= 13), libnuma-dev, libdaxctl-dev, numactl, libhwloc-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/memkind/memkind
 Vcs-Git: https://github.com/kilobyte/memkind.git -b debian
@@ -13,7 +13,7 @@
 # _without_ NUMA disablement!
 
 Package: libmemkind0
-Architecture: amd64 arm64 ppc64el mips64el ppc64 riscv64
+Architecture: amd64 arm64 ppc64el loong64 mips64el ppc64 riscv64
 Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -26,7 +26,7 @@
  This package contains the runtime library.
 
 Package: libmemkind-dev
-Architecture: amd64 arm64 ppc64el mips64el ppc64 riscv64
+Architecture: amd64 arm64 ppc64el loong64 mips64el ppc64 riscv64
 Section: libdevel
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmemkind0 (= ${binary:Version})
@@ -40,7 +40,7 @@
  libraries.
 
 Package: libmemkind-progs
-Architecture: amd64 arm64 ppc64el mips64el ppc64 riscv64
+Architecture: amd64 arm64 ppc64el loong64 mips64el ppc64 riscv64
 Section: admin
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+include /usr/share/dpkg/pkg-info.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -11,7 +13,7 @@
 	    echo ===== No NUMA, not running tests! =====; fi
 
 override_dh_autoreconf:
-	dpkg-parsechangelog -SVersion|cut -d- -f1 >VERSION
+	echo "$(DEB_VERSION)"|cut -d- -f1 >VERSION
 	dh_update_autotools_config
 	dh_autoreconf
